#
# Be sure to read the file: README-kernel-upgrade-howto.txt found in the 
# SOURCES directory.
#

## TODO:
# 1: Rewrite kernel-config-generator.sh to only make oldconfig once, and
#    generate the other configs based on the first one, with only an extra
#    test run of each config to minimize differences.
# 2: Rewrite kernel-config-generator.sh to download sources if not found.
# 

%define grabheaders 0
Summary: The Linux kernel (the core of the Linux operating system).
Name: kernel
%define sublevel 35.3
%define kversion 2.4.%{sublevel}
%define ksymoopsver 2.4.8
%define openswan 2.4.6
%define x509version 1.6.3
Version: %{kversion}
Release: 1tr
%define KVERREL %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
License: GPL
Group: Trustix Official
ExclusiveArch: i586 i686
ExclusiveOS: Linux
Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-%{version}.tar.bz2
Source1: ftp://ftp.de.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4/ksymoops-%{ksymoopsver}.tar.bz2
Source2: module-info
#Source3: installkernel  # Moved to mkinitrd rpm
Source4: rhkmvtag.c
Source5: kernel-2.4-BuildASM.sh
Source6: linux-autoconf.h
Source7: linux-version.h
Source8: linux-modversions.h
Source9: kernel-%{kversion}-i586.config
Source10: kernel-%{kversion}-i586-BOOT.config
Source11: kernel-%{kversion}-i586-smp.config
Source14: kernel-config-generator.sh
#Source15: create-freeswan-kernelpatch.sh #No FreeSwan
Source16: lvm-patch-generator

Source17: README-kernel-upgrade-howto.txt
Source18: README-kernel-module-compilation.txt

#Source20: megaraid-1.19.6.tgz
Source20: megaraid-118k.tgz

Source21: linux-2.4-3w-9xxx-9.2.1.1.tgz
Source22: aacraid-src_1.1.5.tgz
#
# Patches
# -------
#


#
# Bug fixes
#

Patch5: kernel-2.4.24-proc_pid_revalidate.patch
Patch6: kernel-2.4.24-proc_readlink.patch
Patch8: kernel-2.4.24-sse_fix_2.4.patch
Patch9: kernel-2.4.24-strncpy_fix.patch
Patch17: kernel-2.4.28-rand.patch
#Patch18: linux-2.4.29-megamsleep.patch
#Patch19: kernel-2.4.29-CAN-2005-0384.patch



# ksymops: get System map from /boot
Patch1000: linux-2.4.20-ksympath.patch

#
# Features
#

# Freeswan, patch created with create-fresswan-kernelpatch.sh from
# tsl-utils
Patch100: openswan-%{openswan}.kernel-2.4-klips.patch.gz
Patch101: openswan-%{openswan}.kernel-2.4-natt.patch.gz

# support for mppe
#patch130: linux-2.4.19-openssl-0.9.6b-mppe.patch.bz2

# Connection tracking and NAT support for PPTP
Patch150: linux-2.4.21-pptp-conntrack-nat.patch

# host AP driver for Prism 2.0/2.5/3 cards: http://hostap.epitest.fi/
Patch170: linux-2.4.26-hostap-0.0.3.patch

# updated isdn hisax driver: http://isdn.jolly.de
Patch190: linux-2.4.20_isdnpatch20030118.diff.bz2

# Quick (temporary) fix for the iptables recent match extension
Patch200: linux-2.4.23-ipt_recent.patch

# Added support for a Dell something IDE DMA
Patch220: kernel-2.4.27-ideESB_3.patch

Patch221: linux-2.4.30-CAN-2005-1263.patch
 
# Fixes Race condition within system call execve()
#Patch222 : execve_race_condition.patch.gz

# Bridging support for ebtables
Patch223 : ebtables-brnf-11-2_vs_2.4.31.diff.gz

# Add 3w-9xxx module into Makefile
#Patch224 : kernel-2.4.31-3w-9xxx-Makefile.patch
Patch224 : kernel-2.4.31-3w-9xxx.patch

# Add updated aic7xxx drivers
Patch225: aic7xxx-update.patch
Patch226: linux-2.4.28-hidden.patch
Patch227: sk98lin_v10.0.5.3_2.4.35_patch
Patch228: linux-ipmi-2.4.32-v39.0-base.diff
Patch229: linux-2.4.35-ipt_recent-last_pkts.patch

# Temp. fix for openswan compilation issue.
Patch230: linux-2.4.35-ipsec_proc.patch
 

BuildRoot: /var/tmp/kernel-%{KVERREL}-root
Provides: module-info
Autoreq: no
PreReq: mkinitrd dev modutils coreutils tsl-utils >= 1.6-2tr
Requires: initscripts >= 3.64 awk
# let swup install this package, not upgrade:
Provides: swup_install-only
Conflicts: swup_install-if-upgrade
Obsoletes: kernel-firewall

%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Trustix Secure Linux operating system.  The kernel handles the basic
functions of the operating system:  memory allocation, process allocation,
device input and output, etc.


%package source
Requires: coreutils
Summary: The source code for the Linux kernel.
Group: Trustix Official
# let swup install this package, not upgrade:
Provides: swup_install-only
Conflicts: swup_install-if-upgrade
PreReq: tar bzip2

%description source
The kernel-source package contains the source code files for the Linux
kernel. These source files are needed to build most C programs, since
they depend on the constants defined in the source code. The source
files can also be used to build a custom kernel that is better tuned
to your particular hardware, if you are so inclined (and you know what
you're doing).


%package doc
Summary: Various documentation bits found in the kernel source.
Group: Trustix Official

%description doc
This package contains documentation files form the kernel
source. Various bits of information about the Linux kernel and the
device drivers shipped with it are documented in these files. 

You'll want to install this package if you need a reference to the
options that can be passed to Linux kernel modules at load time.


%package utils
Summary: Kernel related utilities.
Group: Trustix Official

%description utils
The kernel-utils package contains ksymoops, a utility that can be used
for decrypting the kernel's OOPS output.


%package smp
Summary: The Linux kernel compiled for SMP machines.
Group: Trustix Official
Provides: kernel = %{version}
Requires: initscripts >= 3.64 dev coreutils 
PreReq: tsl-utils >= 1.6-1tr
# let swup install this package, not upgrade:
Provides: swup_install-only
Conflicts: swup_install-if-upgrade
Obsoletes: kernel-firewallsmp

%description smp
This package includes a SMP version of the Linux kernel. It is
required only on machines with two or more CPUs, although it should
work fine on single-CPU boxes.

Install the kernel-smp package if your machine uses two or more CPUs.


%package BOOT
Summary: The version of the Linux kernel used on installation boot disks.
Group: Trustix Official
Provides: kernel = %{version}

%description BOOT
This package includes a trimmed down version of the Linux kernel.
This kernel is used on the installation boot disks only and should not
be used for an installed system, as many features in this kernel are
turned off because of the size constraints.


%prep
%setup -q -n linux-%{version} -a 1

%patch5 -p1
%patch6 -p1
%patch8 -p1
%patch9 -p1
%patch17 -p1
#%patch18 -p1
#%patch19 -p1

%patch1000 -p1

%patch100 -p1
%patch101 -p1

#%patch110 -p1

%patch150 -p1

%patch170 -p1

#%patch190 -p1

%patch200 -p1

%patch220 -p1

#%patch221 -p1

#%patch222 -p1

%patch223 -p1

%patch224 -p1

%patch225 -p1
%patch226 -p1
%patch227 -p1
%patch228 -p1
%patch229 -p1
%patch230 -p1

mkdir configs
cp -fv $RPM_SOURCE_DIR/kernel-%{kversion}-i?86*.config configs

# Bring in the Red Hat Kernel Module Version Tag program
cp $RPM_SOURCE_DIR/rhkmvtag.c .

# External megaraid stuff:
pushd drivers/scsi
tar zxf %{SOURCE20}
popd

# New aacraid driver
pushd drivers/scsi/aacraid
tar zxf %{SOURCE22}
popd

%build

BuildKernel() {
    # is this a special kernel we want to build?
    if [ -n "$1" ] ; then
	Config=%{_target_cpu}-$1
	KernelVer=%{version}-%{release}$1
	echo BUILDING A KERNEL FOR $1...
    else
	Config=%{_target_cpu}
	KernelVer=%{version}-%{release}
	echo BUILDING THE NORMAL KERNEL...
    fi
    cp $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config arch/i386/defconfig
    rm -f .config
    # make sure EXTRAVERSION says what we want it to say
#    perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}$1/" Makefile
    perl -p -i -e "s/^EXTRAVERSION(\s*)=(\s*)([.0-9]*)?(-[0-9]+tr)?(smp|BOOT)?\n$/EXTRAVERSION\1=\2\3-%{release}$1\n/" Makefile 
    make mrproper
    make oldconfig
    cp $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config.bak
    cp .config $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config
    make CC="gcc %{?no_stack_protector}" dep
    make CC="gcc %{?no_stack_protector}" include/linux/version.h 
    if [ -z "$NRPROC" ] ; then
    if [ -x /usr/bin/getconf ] ; then
	NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
	if [ $NRPROC -eq 0 ] ; then
	    NRPROC=1
	fi
    else
	NRPROC=1
    fi
    fi
    make CC="gcc %{?no_stack_protector}" bzImage MAKE="make -j $NRPROC"
    make CC="gcc %{?no_stack_protector}" modules MAKE="make -j $NRPROC"
    # first make sure we are not loosing any .ver files to make mrporper's
    # removal of zero sized files.
    find include/linux/modules -size 0 | while read file ; do \
	echo > $file
    done
    # Start installing stuff
    mkdir -p $RPM_BUILD_ROOT/boot
    install -m 644 System.map $RPM_BUILD_ROOT/boot/System.map-$KernelVer
    install -m 644 $RPM_SOURCE_DIR/module-info $RPM_BUILD_ROOT/boot/module-info-$KernelVer
    cp arch/i386/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
    cp .config $RPM_BUILD_ROOT/boot/config-$KernelVer
    # mkdir -p $RPM_BUILD_ROOT/lib/modules/$KernelVer/{block,cdrom,fs,ipv4,misc,net,scsi,video}
    make INSTALL_MOD_PATH=$RPM_BUILD_ROOT modules_install KERNELRELEASE=$KernelVer
    #Identify the modules directory with the Red Hat Kernel Module Version Tag
    cc -o rhkmvtag rhkmvtag.c init/version.o
    ./rhkmvtag > $RPM_BUILD_ROOT/lib/modules/$KernelVer/.rhkmvtag
    rm -f rhkmvtag
    # Set up correct build symlink:
    pushd $RPM_BUILD_ROOT/lib/modules/$KernelVer/
	rm build
	ln -sf ../../../usr/src/kernel-source-%{KVERREL} build
    popd
    touch $RPM_BUILD_ROOT/boot/initrd-$KernelVer.img
    chmod 644 $RPM_BUILD_ROOT/boot/initrd-$KernelVer.img
}

SaveHeaders() {
    if [ -n "$1" ] ; then
	echo "SAVING HEADERS for $1"
    fi
    # deal with the kernel headers that are version specific
    mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux
    if [ -n "$1" ] ; then
    	install -m 644 include/linux/autoconf.h \
	    $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/autoconf-$1.h
    	install -m 644 include/linux/version.h \
	    $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/version-$1.h
	sed -e "s,/modules/,/modules-$1/,g" < include/linux/modversions.h > \
	    $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/modversions-$1.h
	mv include/linux/modules include/linux/modules-$1
	
    fi
}

###
# DO it...
###

[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

#SMP-ENABLED KERNEL
BuildKernel smp
SaveHeaders smp

# We don't build boot kernels for i686 -- i586 will do.
%ifarch i586
# BOOT kernel
BuildKernel BOOT
SaveHeaders BOOT
%endif

# NORMAL KERNEL.  This is last as we want to save it.
BuildKernel
%ifarch i586
SaveHeaders up
%endif

make CC="gcc %{?no_stack_protector}" -C ksymoops-%{ksymoopsver}

###
### install
###

%install


#this is kind of ugly, but we have asked for it
#touch /boot/kernel.h || :

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
tar cf - . | tar xf - -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
ln -sf linux-%{kversion} $RPM_BUILD_ROOT/usr/src/linux

make mrproper -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
cp $RPM_SOURCE_DIR/kernel-%{kversion}-%{_arch}.config arch/i386/defconfig
make oldconfig -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make CC="gcc %{?no_stack_protector}" include/linux/version.h -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

#this generates modversions info which we want to include and we may as
#well include the depends stuff as well, after we fix the paths
make CC="gcc %{?no_stack_protector}" depend -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
find $RPM_BUILD_ROOT/usr/src/linux-%{kversion} -name ".*depend" | \
while read file ; do
    mv $file $file.old
    sed -e "s|[^ ]*\(/usr/src/linux\)|\1|g" < $file.old > $file
    rm -f $file.old
done

# Try to put some smarter autoconf.h and version.h files in place
pushd $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux ; {
mv autoconf.h autoconf-up.h
mv version.h version-up.h
install -m 644 %{SOURCE6} autoconf.h
install -m 644 %{SOURCE7} version.h
install -m 644 %{SOURCE8} modversions.h
} ; popd
#> $RPM_BUILD_ROOT/boot/kernel.h

%if %{grabheaders}
pushd $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include
rm -f asm
mv asm-i386 asm
tar -jcf $RPM_SOURCE_DIR/kernel-headers-%{kversion}.tar.bz2 asm linux
mv asm asm-i386
ln -sf asm-i386 asm
popd
%endif

# other tools
make install -C ksymoops-%{ksymoopsver} INSTALL_PREFIX=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/share
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/
if [ ! -f $RPM_BUILD_ROOT/usr/share/man/man8/ksymoops.8.gz ]; then
  gzip -9 $RPM_BUILD_ROOT/usr/share/man/man8/ksymoops.8
fi

# Preserve it for kernel-source.
TOPDIR=$(basename $(pwd))
make clean -C ksymoops-%{ksymoopsver}
make mrproper
perl -pi -e \
 "s|^HOSTCC.*$|HOSTCC          = gcc %{?no_stack_protector}|g"\
    Makefile
perl -pi -e \
 "s|^CC.*$|CC              = \\$\(CROSS_COMPILE\)gcc %{?no_stack_protector}|g"\
    Makefile
cd ..
#mv $TOPDIR kernel-source-%{version}-%{release}
cp -a $TOPDIR $RPM_BUILD_ROOT/usr/src/kernel-source-%{KVERREL}
find  $RPM_BUILD_ROOT/usr/src/kernel-source-%{KVERREL}-name \*~ -print0 | \
   xargs -0 rm -f
#tar -cf $RPM_BUILD_ROOT/usr/src/kernel-source-%{version}-%{release}.tar kernel-source-%{version}-%{release}
#bzip2 -9 $RPM_BUILD_ROOT/usr/src/kernel-source-%{version}-%{release}.tar
#mv kernel-source-%{version}-%{release} $TOPDIR
cd $TOPDIR

install -m 644 %{SOURCE18} .

###
### clean
###

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


###
### scripts
###

# do this for upgrades...in case the old modules get removed we have
# loopback in the kernel so that mkinitrd will work.
%pre
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%post
if test -L /boot/vmlinuz-firewall; then
	rm -f /boot/vmlinuz-firewall
	ln -sf vmlinuz /boot/vmlinuz-firewall
fi
if test -L /boot/vmlinuz-firewall.old; then
	rm -f /boot/vmlinuz-firewall.old
	ln -sf vmlinuz.old /boot/vmlinuz-firewall.old
fi
if test -L /boot/initrd-firewall.img; then
	rm -f /boot/initrd-firewall.img
	ln -sf initrd.img /boot/initrd-firewall.img
fi
if test -L /boot/initrd-firewall.img.old; then
	rm -f /boot/initrd-firewall.img.old
	ln -sf initrd.img.old /boot/initrd-firewall.img.old
fi
/sbin/tsl-fixboot.sh %{KVERREL}

%post smp
if test -L /boot/vmlinuz-firewallsmp; then
	rm -f /boot/vmlinuz-firewallsmp
	ln -sf vmlinuz /boot/vmlinuz-firewallsmp
fi
if test -L /boot/vmlinuz-firewallsmp.old; then
	rm -f /boot/vmlinuz-firewallsmp.old
	ln -sf vmlinuz.old /boot/vmlinuz-firewallsmp.old
fi
if test -L /boot/initrd-firewallsmp.img; then
	rm -f /boot/initrd-firewallsmp.img
	ln -sf initrd.img /boot/initrd-firewallsmp.img
fi
if test -L /boot/initrd-firewallsmp.img.old; then
	rm -f /boot/initrd-firewallsmp.img.old
	ln -sf initrd.img.old /boot/initrd-firewallsmp.img.old
fi
/sbin/tsl-fixboot.sh %{KVERREL}smp

###
### file lists
###

%files
%defattr(-,root,root,0755)
%doc README-kernel-module-compilation.txt
/boot/config-%{KVERREL}
%ghost /boot/initrd-%{KVERREL}.img
/boot/vmlinuz-%{KVERREL}
/boot/System.map-%{KVERREL}
/boot/module-info-%{KVERREL}
/lib/modules/%{KVERREL}

%files smp
%defattr(-,root,root,0755)
/boot/config-%{KVERREL}smp
%ghost /boot/initrd-%{KVERREL}smp.img
/boot/vmlinuz-%{KVERREL}smp
/boot/System.map-%{KVERREL}smp
/boot/module-info-%{KVERREL}smp
/lib/modules/%{KVERREL}smp

%ifnarch i686
%files BOOT
%defattr(-,root,root,0755)
/boot/config-%{KVERREL}BOOT
%ghost /boot/initrd-%{KVERREL}BOOT.img
/boot/vmlinuz-%{KVERREL}BOOT
/boot/System.map-%{KVERREL}BOOT
/lib/modules/%{KVERREL}BOOT
%endif

%ifarch i586

%files source
%defattr(-,root,root,0755)
/usr/src/kernel-source-%{KVERREL}

%files utils
%defattr(-,root,root,0755)
%doc scripts/ksymoops/README
/usr/bin/ksymoops
/usr/share/man/man8/ksymoops.8.gz

%files doc
%defattr(-,root,root,0755)
%doc Documentation/*

%endif

%changelog
* Tue Oct 16 2007 Nived Gopalan <nived at trustix dot org> 2.4.35.3-1tr
- New Upstream.

* Tue Jul 31 2007 Nived Gopalan <nived at trustix dot org> 2.4.35-1tr
- New Upstream.
- Added patch to set hidden device flag.
- Updated sk98lin driver, Bug #111.
- Update kernel IPMI, Bug #1148.
- Patch to fix kernel panic on ipt_recent, Bug #1662.
- SECURITY Fix: A security issue have been reported in the Linux
  kernel, which potentially can be exploited by malicious people
  to cause a DoS or bypass certain security restrictions.
- A boundary error due to the use of RTA_MAX instead of RTN_MAX in
  dn_fib_props[] within dn_fib.c and in fib_props[] within
  fib_semantics.c can potentially be exploited to cause a DoS.
- Fix L2CAP and HCI setsockopt() information leaks.
- The "xfer_secondary_pool()" function in drivers/char/random.c uses
  the wrong data to refeed seeds into the random number generator.
  This may weaken the security of applications relying on the random 
  number generator.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2007-2172 and CVE-2007-1353 to these
  issues.

* Wed Jan 03 2007 Nived Gopalan <nived at trustix dot org> 2.4.34-1tr
- New Upstream.
- SECURITY Fix: A security issue has been reported in Linux kernel
  caused due to an error in drivers/isdn/i4l/isdn_ppp.c as the
  "isdn_ppp_ccp_reset_alloc_state()" function never initialises an
  event timer before scheduling it with the "add_timer()" function.
- The mincore function in kernel does not properly lock access to
  user space, which has unspecified impact and attack vectors,
  possibly related to a deadlock.
- Another vulnerability has been reported in linux kernel caused due
  to a boundary error within the handling of incoming CAPI messages
  in net/bluetooth/cmtp/capi.c. This can be exploited to overwrite
  certain Kernel data structures.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2006-5749, CVE-2006-4814 and CVE-2006-6106
  to these issues.

* Tue Oct 17 2006 Nived Gopalan <nived at trustix dot org> 2.4.33.3-3tr
- SECURITY Fix: A vulnerability has been reported in Linux Kernel,
  caused due to an error in the "clip_mkip()" function in the ATM
  subsystem and can be exploited to cause a kernel panic.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2006-4997 to this issue.

* Thu Sep 21 2006 Bipin S <bipin at trustix dot org> 2.4.33.3-2tr
- New source for aacraid driver.

* Tue Sep 12 2006 Nived Gopalan <nived at trustix dot org> 2.4.33.3-1tr
- New Upstream.
- SECURITY Fix: Fix possible UDF deadlock and memory corruption.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2006-4145 to this issue.

* Wed Aug 23 2006 Nived Gopalan <nived at trustix dot org> 2.4.33.2-1tr
- New Upstream.
- SECURITY Fix: McAfee Avert Labs has reported a vulnerability in the
  Linux Kernel, which can be exploited by malicious, local users to gain
  escalated privileges. The vulnerability is caused due to an error in
  the SCTP module within the "sctp_make_abort_user()" function and can
  be exploited to execute arbitrary code with escalated privileges.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2006-3745 to this issue.

* Mon Aug 21 2006 Nived Gopalan <nived at trustix dot org> 2.4.33.1-1tr
- New Upstream.
- SECURITY Fix: Fix denial of service (crash) caused via a dio transfer
  from the sg driver to memory mapped (mmap) IO space.
- Fix possible local DoS on some PPC970.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2006-1528 and CVE-2006-4093 to these issues.

* Fri Aug 18 2006 Nived Gopalan <nived at trustix dot org> 2.4.33-1tr
- New Upstream.
- Added openswan 2.4.6 patches.
- SECURITY Fix: Race condition in the do_add_counters function in
  netfilter for Linux kernel allows local users with CAP_NET_ADMIN
  capabilities to read kernel memory by triggering the race condition.
- Buffer overflow in SCTP allows remote attackers to cause a denial
  of service and possibly execute arbitrary code via a malformed
  HB-ACK chunk.
- An error in SCTP chunk length calculation during parameter processing
  can be exploited to cause out-of-bounds memory access.
- Fix vulnerability caused due to an input validation error in the
  SMBFS mounted filesystem
- The ECNE chunk handling in Linux SCTP (lksctp) allows remote attackers
  to cause a denial of service (kernel panic) via an unexpected chunk
  when the session is in CLOSED state.
- An error in the handling of incoming IP-fragmented SCTP control chunks
  can be exploited to cause kernel panic via fragmented COOKIE_ECHO and
  HEARTBEAT chunks.
- ip_route_input panic fix.
- [SCTP]:Prevent possible infinite recursion with multiple bundled DATA.
- madvise_remove does not follow file and mmap restrictions, which allows
  local users to bypass IPC permissions and replace portions of readonly
  tmpfs files with zeroes.
- The Orinoco driver does not properly clear memory from a previously
  used packet whose length is increased, which allows remote attackers
  to obtain sensitive information.
- An error in "sysctl.c" when handling the un-registration of interfaces
  in "/proc/sys/net/ipv4/conf/" can potentially be exploited by malicious
  users to cause a DoS.
- Fix vulnerability in the Linux Kernel, caused due to missing validation
  of the return code of a function call in the "search_binary_handler()"
  function of exec.c.
- Fix stack-based buffer overflow in the sendmsg function call.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the names CVE-2006-0039, CVE-2006-1857, CVE-2006-1858,
  CVE-2006-1864, CVE-2006-2271, CVE-2006-2272, CVE-2006-1525,
  CVE-2006-2274, CVE-2006-1524, CVE-2005-3180, CVE-2005-2709,
  CVE-2005-2708 and CVE-2005-2490 to these issues.

* Wed Feb 08 2006 Ajith Thampi <ajith at trustix dot org> 2.4.32-1tr
- New Upstream
- Dan Aloni: Fix memory leak in sd_mod.o 
- Nick Piggin:Fix possible memory ordering bug in page reclaim.
- Patrick McHardy: [NETFILTER]: Handle NAT module load race.
- SECURITY Fix: Linus Torvalds: Fix outstanding gzip/zlib security issues.
- SECURITY Fix: Disallows local users to write to privileged IO ports
  via OUTS instruction isofs driver ignore parameters.		

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2005-0204 to this issue.

* Mon Jan 16 2006 Ajith Thampi <ajith at trustix dot org> 2.4.31-8tr
- Add updated aic7xxx drivers.
		
* Tue Nov 08 2005 Ajith Thampi <ajith at comodo dot com> 2.4.31-7tr
- Added 3w-9xxx-linux-src-2.4-9.2.1.1.tgz

* Tue Oct 18 2005 Ajith Thampi <ajith at comodo dot com> 2.4.31-6tr
- Add ebtables support
		
* Fri Aug 26 2005 Erlend Midttun <erlendbm at trustix dot org> 2.4.31-5tr
- New OpenSWAN.

* Tue Jul 12 2005 Bipin S <bipin at comodo dot com> 2.4.31-4tr
- Fixed Race condition within system calls (CAN-2005-1768). Fix Bug #1065.
  Critical and major fixes has been done.

* Mon Jul 04 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.4.31-3tr
- Redo config files and added support for missing IPSEC support. Fix Bug #1021.
 
* Tue Jun 28 2005 Ajith Thampi <ajith at comodo dot com> 2.4.31-2tr
- Add IPX Protocol support, Bug #983
		
* Tue Jun 21 2005 Nived Gopalan <nived at comodo dot com> 2.4.31-1tr
- New Upstream
- Backport v2.6 elf_core_dump() flaw fix (CAN-2005-1263)

* Thu May 12 2005 Nived Gopalan <nived at comodo dot com> 2.4.30-4tr
- Fix CAN-2005-1263, Bug #650

* Thu Apr 28 2005 Erlend Midttun <erlendbm at trustix dot org> 2.4.30-3tr
- Seems the ipt_recent module was having pushing debug statements to the
  console.

* Mon Apr  4 2005 Erlend Midttun <erlendbm at trustix dot org> 2.4.30-2tr
- SECURITY:
  Mathieu Lafon didcovered an information leak in the ext2 mkdir() function
  where random kernel memory is written to disk.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2005-0400 to this issue.


  Herbert Xu discovered a potential DOS in load_elf_library.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2005-0749 to this issue.


  Ilja van Sprundel discovered an exploitable integer overflow in
  af_bluetooth which could lead to priviliege escalation.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2005-0750 to this issue.

* Thu Mar 17 2005 Erlend Midttun <erlendbm at trustix dot org> 2.4.29-4tr
- Ben Martel and Stephen Blackheath discovered a denial of service bug
  in the ppp server handling where a client could hang the server.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2005-0384 to this issue.

* Fri Feb 18 2005 Erlend Midttun <erlendbm at trustix dot org> 2.4.29-3tr
- Now also have OSST tape module.  #67.

* Tue Feb  8 2005 Erlend Midttun <erlendbm at trustix dot org> 2.4.29-2tr
- Added mdelay -> msleep patch for megaraid.

* Thu Jan 13 2005 Erlend Midttun <erlendbm at trustix dot org> 2.4.28-11tr
- CAN-2005-0003

* Wed Jan 12 2005 Erlend Midttun <erlendbm at trustix dot org> 2.4.28-10tr
- CAN-2005-0001

* Tue Jan 11 2005 Chr. Toldnes <christht at trustix dot org> 2.4.28-9tr
- Added 2.4-do-brk-locked.patch from Marcelo

* Fri Jan  7 2005 Erlend Midttun <erlendbm at trustix dot org> 2.4.28-8tr
- Seems like we can't have that HiSax patch.

* Sat Dec 18 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.28-7tr
- Fix IGMP (CAN-2004-1137) and CMSG (CAN-2004-1016) issues.

* Thu Dec  9 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.28-6tr
- Revert.

* Wed Dec  7 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.28-5tr
- Now compile in scsi and sd

* Wed Nov 24 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.28-4tr
- No longer Provide various kernel-firewall.

* Sat Nov 20 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.28-3tr
- Rebuilt with new tag.

* Thu Nov 18 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.28-2tr
- Add  -fno-stack-protector to Makefile in kernel-source

* Wed Nov 17 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.28-1tr
- New upstream.

* Mon Nov  8 2004 Oystein Viggen <oysteivi at trustix dot com> 2.4.27-8tr
- Fix firewall symlinks (for upgrade from older versions of the OS)

* Tue Oct 19 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.27-7tr
- Now try with USB keyboard too

* Fri Oct 01 2004 Syed Shabir <syedshabir at comodo dot com> 2.4.27-6tr
- Applied OpenSwan NAT and kernel Patches
- Removed Old FreeSwan patches

* Wed Sep 22 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.27-4tr
- New megaraid driver.  No show, maybe try later.
- Fix Conflicts/Obsoletes error

* Tue Sep 21 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.27-3tr
- Now compile in CONFIG_BLK_DEV_SIIMAGE

* Mon Aug 30 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.27-2tr
- Added support for DMA on ESB_3

* Sun Aug  8 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.27-1tr
- New upstream.  Fixes lots of bugs including security related ones.

* Thu Jun 17 2004 Oystein Viggen <oysteivi at trustix dot com> 2.4.26-3tr
- Various security fixes from Alexander Viro, CAN-2004-0495

* Tue Jun 15 2004 Oystein Viggen <oysteivi at trustix dot org> 2.4.26-2tr
- Patch fpu crash, CAN-2004-0554

* Thu May 13 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.26-1tr
- New upstream.

* Wed Apr 21 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.25-8tr
- Merged patch 14 and 15. 

* Tue Apr 20 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.25-7tr
- Added patch 14 and 15 to fix bugs with mcast_msfilter

* Wed Apr 14 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.25-6tr
- Added patches 10, 11, 12, 13 to fix CAN-2004-0177, CAN-2004-0109 CAN-2004-0133

* Tue Mar 23 2004 Chr. Toldnes <christht at trustix dot org> 2.4.25-4tr
- Added the hpt366 and hpt34x modules to the BOOT kernel

* Thu Feb 19 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.25-1em
- New upstream.
- Added CONFIG_PPP_FILTER and CONFIG_PPP_MULTILINK on request.

* Thu Feb  5 2004 Chr. Toldnes <christht at trustix dot org> 2.4.24-3tr
- Added USB keyboard support in the BOOT kernel
- Added some bugfix patches from lkml

* Fri Jan 30 2004 Chr. Toldnes <christht at trustix dot org> 2.4.24-2tr
- Build without stack protection

* Fri Jan 23 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.24-1tr
- Compiled serverworks in.
- New upstream.

* Thu Jan 22 2004 Chr. Toldnes <christht at trustix dot org> 2.4.23-9tr
- Fixed problem relating to usb hid devices reconnection

* Tue Jan 20 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.23-8tr
- Added quota support.
- Added serverworks to -BOOT kernel.

* Mon Jan 19 2004 Oddvar Broenstad <oddvarb at trustix dot org> 2.4.23-7tr
- Quick temporary fix for iptables recent match extenxsion

* Fri Jan  9 2004 Chr. Toldnes <christht at trustix dot org> 2.4.23-6tr
- cleanup

* Fri Jan  9 2004 Chr. Toldnes <christht at trustix dot org> 2.4.23-5tr
- Added CONFIG_PDC202XX_FORCE=y to enable full speed on promise controllers.
- Changed kernel-source tar.bz2 back to plain directory
- Use kernel-source-%{KVERREL} to not conflict with vanilla kernels

* Tue Jan  6 2004 Chr. Toldnes <christht at trustix dot org> 2.4.23-4tr
- Now untaring correct source in %post source... Thanks Gerald.

* Mon Jan  5 2004 Chr. Toldnes <christht at trustix dot org> 2.4.23-3tr
- Added mremap fix
- Correct build symlink
- Added documentation: README-kernel-module-compilation.txt
- Added untaring of source in %post source
- Added Conflicts: swup_install-if-upgrade

* Mon Dec 15 2003 Chr. Toldnes <christht at trustix dot org> 2.4.23-2tr
- Added rtc fix
- Readded external megaraid stuff.

* Sun Nov 30 2003 Chr. Toldnes <christht at trustix dot org> 2.4.23-1tr
- New upstream version: 2.4.23
- Removed patch 110, included upstream.
- added create-freeswan-kernelpatch.sh as Source
- updated README-kernel-upgrade-howto.txt
- New freeswan/x509: 2.04/1.4.8
- Added TODO section in spec.
- Removed external megaraid stuff

* Mon Sep 15 2003 Chr. Toldnes <christht at trustix dot com> 2.4.22-4tr
- Added kernel-config-generator
- Added README-kernel-upgrade-howto.txt

* Sat Aug 30 2003 Chr. Toldnes <christht at trustix dot com> 2.4.22-3tr
- added lvm-patch-generator
- added lvm-1.0.7

* Sat Aug 30 2003 Chr. Toldnes <christht at trustix dot com> 2.4.22-2tr
- Now megaraid stuff is sources.
- New upstream ipvs: 1.0.10

* Mon Aug 25 2003 Chr. Toldnes <christht at trustix dot com> 2.4.22-1tr
- New upstream version: 2.4.22
- CONFIG_MODVERSIONS=n
- Removed patch: 1-9, 120, 122, 130, 140, 141, 160, 161
- New upstream megaraid version

* Tue Aug 19 2003 Chr. Toldnes <christht at trustix dot com> 2.4.21-15tr
- Rebuilt and retagged

* Fri Aug 15 2003 Omar Kilani <ok@mailcall.com.au> 2.4.21-14ok
- Changed CONFIG_BLK_DEV_MD=m to CONFIG_BLK_DEV_MD=y to support autodetect.

* Thu Jul 10 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.21-13tr
- Added bunch of patches.  5 - 9.

* Sat Jul  5 2003 Gerald Dachs <gda at trustix dot org> 2.4.21-12gd
- Added nfsd module to boot kernel

* Fri Jul  4 2003 Chr. Toldnes <christht at trustix dot com> 2.4.21-11tr
- Some bugfixing in fs and kernel src dirs.

* Thu Jul  3 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.21-10tr
- Added a way to recreate the header files for linux-headers.

* Tue Jul  1 2003 Goetz Bock <bock at trustix dot org> 2.4.21-9bg
- fixed modversion.h file
- updated isdn drivers for HiSax cards.

* Tue Jul  1 2003 Goetz Bock <bock at trustix dot org> 2.4.21-8bg
- made the patch numbers compact again
- added i2c and lm_sensors (patch 160, 161)
- added wireless hostAP driver (patch 170)
- added new megaraid driver (patch 180)
- config updated: vga mode selection suport, activated i2c and lm_sensors
  firewall is no actually router. It adds: advanced routing, IPsec, QoS, 
  bridging, IP tunneling, IPVS, vlan, ISDN and wireless drivers, bluetooth

* Mon Jun 30 2003 Goetz Bock <bock at trustix dot org> 2.4.21-7bg
- added nfsd to -BOOT, we need it for the live system for the PXE installer
- updated IPVS to 1.0.9

* Sun Jun 29 2003 Goetz Bock <bock at trustix dot org> 2.4.21-6bg
- unified the .config files. smp now only adds smp and firewall adds
  IPsec, QoS, advanced routing (incl. multicast), ethernet bridging,
  eb-tables, and ip tunneling
- removed i2c
- renamed two patches to start with linux-2.4.21 (120 and 220)

* Tue Jun 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.21-5tr
- Big change in .config files.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.21-4tr
- Big rebuild

* Tue Jun 17 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.21-3em
- IDE modules, take II.

* Mon Jun 16 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.21-2em
- Recreated freeswan patch.
- Tried to get the correct IDE modules.
- No longer own kernel.h, we leave that to linux-headers.

* Sat Jun 14 2003 Roland Kruse <rolandk at trustix dot com> 2.4.21-1rk
- Picked up 2.4.21
- Patch 4,5,10-14 no longer applied (check!)
- Note: Patch120 rebuilt, patch 220 replaced from:
  http://cvs.netfilter.org/~checkout~/netfilter/patch-o-matic//extra/pptp-conntrack-nat.patch
- Configs need checking.
  
* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-28em
- In fact, leave /lib/modules to filesystem.
- Added wireless.
- Added APIC and IOAPIC
- Removed devfs

* Wed Jun  4 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-27em
- Remove useless directories under /lib/modules/kernelver.

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-26em
- fileutils -> coreutils.

* Sat May 17 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-25em
- GCC 3.3 does not like multiline literals.

* Fri May 16 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-24em
- New FreeSWAN version 2.00.
- Simplified creation of patch a lot.

* Thu May  8 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-23em
- LVM is now a module.

* Thu Apr 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-22em
- version.h take II.

* Wed Apr 23 2003 Christian H. Toldnes <christht at trustix dot com> 2.4.20-21ct
- Now all binary kernels, and the source package provides 'swup_install-only'

* Wed Apr 23 2003 Christian H. Toldnes <christht at trustix dot com> 2.4.20-20ct
- Use /sbin/tsl-fixboot.sh in %post sections
- Nicer PreReqs

* Tue Apr 22 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-19em
- Mode flexible version.h's

* Fri Apr 11 2003 Christian H. Toldnes <christht at trustix dot com> 2.4.20-18ct
- All binary kernels creates initrd, and uses symlinks during install.
  (Waiting untill after Beta1 to use the /sbin/tsl-fixboot.sh script.)

* Tue Apr  8 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-17em
- Removed unapplied patches.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-16em
- Rebuilt against glibc 2.3.2.

* Thu Mar 20 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-15em
- Added patch against CAN-2003-0127
- Added XDR patches against CERT CA-2002-25 and CA-2003-10
- Now also apply the netfilter bridge patches
- Added LSI support
- Added I2O something

* Thu Mar  6 2003 Goetz Bock <bock at trustix dot org> 2.4.20-14bg
- my new box needs I2O, so I've added that as modules
- and it comes with a IPMI card, so I've added that patch as well
- and I've created a further configuration with all my patches applied 
  configured as modular as possible: allmodular. By setting allmodular to 0 
  it will not be compiled.

* Sun Mar  2 2003 Gerald Dachs <gda at trustix dot org> 2.4.20-12em
- Added connection tracking and NAT support for PPTP (Patch220)

* Tue Feb 25 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-11em
- Added PPPoE support.

* Tue Feb 25 2003 Gerald Dachs <gda at trustix dot org> 2.4.20-11gd
- Diald needs SLIP

* Tue Feb 25 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-11em
- Added Appletalk modules.

* Mon Feb 10 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-9em
- Now even with Mylex support.

* Tue Jan 21 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-8em
- Some error in the packaging left us with a corrupt .tar.bz2.

* Tue Jan 21 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-7em
- Attempting to stabilize by disabling most of the features.
- Removed pre-2.4 changelog entries.

* Fri Jan 10 2003 Goetz Bock <bock at trustix dot org> 2.4.20-6bg
- added ethernet bridge tables and bridge firewalling patch
- disabled vserver support

* Fri Jan 10 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-4em
- Added config options for XSentry.

* Wed Jan  8 2003 Goetz Bock <bock at trustix dot org> 2.4.20-5bg
- various fixes in 3bg and 4bg
- updated cryptoapi: 2.4.20.1
- added solucorp vserver support

* Wed Jan  8 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-3em
- Preserve directory in source .tar.bz2.

* Wed Jan  8 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-2em
- Added HIGHMEM support.

* Sun Jan  5 2003 Goetz Bock <bock at trustix dot org> 2.4.20-2bg
- added some features: cryptoapi, lm_sensors, hostap, uml, acpi
- updated some stuff: ipvs to 1.0.7, lvm to 1.0.6
- and a patches: ext3 corruption fix
- added highmem
- modularised to the MAX, even IDE drivers and base SCSI stuff
 
* Wed Dec  4 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.20-1em
- Picked up 2.4.20.
- Added a few options to -BOOT config to make PXE install work again.

* Sun Nov 24 2002 Gerald Dachs <gda at trustix dot org> 2.4.19-15gd
- In boot kernel module af_packet.o was missing, anaconda needs it.

* Fri Nov 15 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.19-14em
- Added patch to fix connection tracking bug.

* Thu Nov 14 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.19-13em
- Some Requires is really a PreReq
- Added fix for cmdline bug.
- Added fix for DOS bug.

* Wed Nov  6 2002 Roland Kruse <rolandk at trustix dot com> 2.4.19-12rk
- Added "Requires" statement for kernel-smp subpackage to avoid it
  being installed too early, breaking the %post script (mkinitrd etc).

* Mon Nov  4 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.19-11em
- Now even supposed to work with new binutils.

* Fri Nov  1 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.19-10em
- Compressed the kernel-source.
- Added another patch from advisory.

* Tue Sep 24 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.19-9em
- Netfilter are now modules.
- Added magic sysreq.
- Added devfs on request.

* Mon Sep 23 2002 Roland Kruse <rolandk at trustix dot com> 2.4.19-8rk
- sundance patch for d-link DFE-580TX (Patch7)
- CONFIG_SUNDANCE=m in kernel-2.4.19-i586-BOOT.config

* Sat Sep 21 2002 Gerald Dachs <gda.trustix.org> 2.4.19-7gd
- Added ppp-mppe (Patch6)

* Mon Sep  9 2002 Roland Kruse <rolandk at trustix dot com> 2.4.19-6rk
- Updated module-info (Source2)

* Fri Sep  7 2002 Gerald Dachs <gda at trustix dot org> 2.4.19-5gd
- Added IDE-SCSI; need by cdrecord
- ksymoops 2.4.6

* Fri Aug 23 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.19-4em
- Removed /usr/include/{asm,linux} from this package as they are
  supposed to be owned by a separate kernel-headers package.

* Thu Aug 22 2002 Roland Kruse <rolandk at trustix dot com> 2.4.19-3rk
- Added Adaptec Starfire driver: CONFIG_ADAPTEC_STARFIRE=m
- Added tmpfs: CONFIG_TMPFS=y

* Tue Aug 20 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.19-2em
- Cleaned up BOOT config file.

* Fri Aug 16 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.19-1em
- Picked up 2.4.19.
- New JFS.

* Wed Jul 17 2002 Roland Kruse <rolandk at trustix dot com> 2.4.18-7rk
- Removed installkernel, this is in mkinitrd package

* Tue Jul 16 2002 Roland Kruse <rolandk@trutsix.com> 2.4.18-6rk
- fixed ipsec items in kernel-2.4.18-i586-BOOT.config

* Tue Jul  9 2002 Roland Kruse <rolandk at trustix dot com> 2.4.18-5rk
- Updated to freeswan 1.98b
- Enabled CONFIG-IPSEC-IPCOMP and CONFIG-IPSEC-DEBUG in configs.

* Mon Jun 10 2002 Goetz Bock <bock at trustix dot org> 2.4.18-4bg
- added LVM 1.04

* Sat Jun  8 2002 Gerald Dachs <gda at trustix dot org>
- changed to jfs 1.0.19
- changed to freeswan 1.97
- added ipvs 1.0.2
- mkinitrd now executed in %post

* Thu May 30 2002 Christain H. Toldnes <christht at trustix dot com>
- Rebuild with -2ct tag.

* Tue Feb 26 2002 Erlend Midttun <erlendbm at trustix dot com>
- Picked up the real 2.4.18

* Mon Jan 22 2002 Gerald Dachs <gda at trustix dot org>
- small changes in boot kernel config, I need every byte 
- BOOT kernel has now cramfs for anaconda

* Wed Jan 9 2002 Gerald Dachs <gda at trustix dot org>
- new kernel version 2.4.17
- now freeswan 1.92 included

* Sat Sep 29 2001 Gerald Dachs <gda@dachsweb.de>
- new kernel version 2.4.10
- SCSI generic enabled
- ext3 filesystem support
- jfs filesystem support
- patch against endless loop in /proc/partitions
- patch against bug in pppoe 

* Sat Aug 9 2001 Gerald Dachs <gda@dachsweb.de>
- new kernel version 2.4.7
- SCSI generic enabled

* Sat Jul 7 2001 Gerald Dachs <gda@dachsweb.de>
- reiserfs patches

* Sat Jul 7 2001 Gerald Dachs <gda@dachsweb.de>
- new kernel version 2.4.6

